SnappyNativeAPI (Snappy for Java 1.0.4.1-SNAPSHOT API)
Date: 2011-09-26

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xerial.snappy
Interface SnappyNativeAPI

All Known Implementing Classes:
  SnappyNative

    public interface SnappyNativeAPI

Internal only - Do not use this class. Interface to access the native code of Snappy. Although this class members are public, do not use them directly. Use `Snappy` API instead.

Author:
  leo

Method Summary
`void` | `arrayCopy(Object src, int offset, int byteLength, Object dest, int dOffset)`
`boolean` | `isValidCompressedBuffer(ByteBuffer compressed, int offset, int len)`
`boolean` | `isValidCompressedBuffer(Object input, int offset, int len)`
`int` | `maxCompressedLength(int source_bytes)`
`String` | `nativeLibraryVersion()`
`int` | `rawCompress(ByteBuffer input, int inputOffset, int inputLength, ByteBuffer compressed, int outputOffset)`
`int` | `rawCompress(Object input, int inputOffset, int inputByteLength, Object output, int outputOffset)`
`int` | `rawUncompress(ByteBuffer compressed, int inputOffset, int inputLength, ByteBuffer uncompressed, int outputOffset)`
`int` | `rawUncompress(Object input, int inputOffset, int inputLength, Object output, int outputOffset)`
`void` | `throw_error(int errorCode)`
`int` | `uncompressedLength(ByteBuffer compressed, int offset, int len)`
`int` | `uncompressedLength(Object input, int offset, int len)`

Method Detail

### nativeLibraryVersion

    String nativeLibraryVersion()

### rawCompress

    int rawCompress(ByteBuffer input,
                    int inputOffset,
                    int inputLength,
                    ByteBuffer compressed,
                    int outputOffset)
                    throws IOException

  Throws:
    `IOException`

### rawCompress

    int rawCompress(Object input,
                    int inputOffset,
                    int inputByteLength,
                    Object output,
                    int outputOffset)

### rawUncompress

    int rawUncompress(ByteBuffer compressed,
                      int inputOffset,
                      int inputLength,
                      ByteBuffer uncompressed,
                      int outputOffset)
                      throws IOException

  Throws:
    `IOException`

### rawUncompress

    int rawUncompress(Object input,
                      int inputOffset,
                      int inputLength,
                      Object output,
                      int outputOffset)
                      throws IOException

  Throws:
    `IOException`

### maxCompressedLength

    int maxCompressedLength(int source_bytes)

### uncompressedLength

    int uncompressedLength(ByteBuffer compressed,
                           int offset,
                           int len)
                           throws IOException

  Throws:
    `IOException`

### uncompressedLength

    int uncompressedLength(Object input,
                           int offset,
                           int len)
                           throws IOException

  Throws:
    `IOException`

### isValidCompressedBuffer

    boolean isValidCompressedBuffer(ByteBuffer compressed,
                                    int offset,
                                    int len)
                                    throws IOException

  Throws:
    `IOException`

### isValidCompressedBuffer

    boolean isValidCompressedBuffer(Object input,
                                    int offset,
                                    int len)
                                    throws IOException

  Throws:
    `IOException`

### arrayCopy

    void arrayCopy(Object src,
                   int offset,
                   int byteLength,
                   Object dest,
                   int dOffset)
                   throws IOException

  Throws:
    `IOException`

### throw_error

    void throw_error(int errorCode)
                     throws IOException

  Throws:
    `IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 xerial.org. All Rights Reserved.